Subject: bug#57639: [PATCH] Add new command 'toggle-theme'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 08 Sep 2022 13:46:15 +0200

Philip Kaludercic <[email-masked]> writes:

> Do you think it would be better to less general, and instead of talking
> about "dual" themes always assume we want to toggle between a light and
> a dark variant?  If not, this sounds like a separate feature (say that
> could be handled by a different property `theme-variant').

Well, if we had marking for "theme with variant", then we'd know which
themes are "the same", but with a variant.

So your command could instead be `theme-choose-variant', but since
there's only two variants here, it'd toggle.  If there were more, the
user would be prompted for which variant to use, which would cover
gruvbox, which Stefan mentioned.

And in addition, this tagging could be used for automatic dark/light OS
changes, so it's at least three birds with one stone.